Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_node_get_literal_value_as_counted_string

## Name

librdf_node_get_literal_value_as_counted_string -- Get the string literal value of the node as a counted string

## Synopsis

``unsigned char* `librdf_node_get_literal_value_as_counted_string`` (librdf_node* `node`, size_t * `len_p`);`

## Arguments

`node`

  the node object

`len_p`

  pointer to location to store length (or NULL)

## Description

Returns a pointer to the literal value held by the node, it must be copied if it is wanted to be used by the caller.

## Return value

the literal string or NULL if node is not a literal

<<< Previous | Home | Next >>>
librdf_node_get_literal_value | Up | librdf_node_get_literal_value_as_latin1